summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-dpdk-perf-verify.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2018-07-12 12:35:30 +0200
committerTibor Frank <tifrank@cisco.com>2018-07-12 12:41:19 +0200
commita857617f6df5d391f226dbe1631c102ba9a1aa47 (patch)
treefa6c641bf0eee45235143633fcce19a6dd9a300c /jjb/csit/include-raw-csit-dpdk-perf-verify.sh
parentaa83c88d59a9e9be9cc1906072ebde881f9b4391 (diff)
CSIT-1117: Update jenkins job infrastructure for 2n/3n testing
+ 'csit-dpdk-perf-{stream}-{topo}-{arch}' - {stream} [branch_id] - {topo} [2n|3n] - {arch} [skx|hsw|arm] Change-Id: Id179cd1152d0f77bf2ad559603eb9bc964ef9216 Signed-off-by: Tibor Frank <tifrank@cisco.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-dpdk-perf-verify.sh')
-rw-r--r--jjb/csit/include-raw-csit-dpdk-perf-verify.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-dpdk-perf-verify.sh b/jjb/csit/include-raw-csit-dpdk-perf-verify.sh
new file mode 100644
index 000000000..8e6baa7d6
--- /dev/null
+++ b/jjb/csit/include-raw-csit-dpdk-perf-verify.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -xeu -o pipefail
+
+if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
+ TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
+ | grep -oE '(perftest$|perftest[[:space:]].+$)'`
+else
+ TRIGGER=''
+fi
+# Export test type.
+export TEST_TAG="VERIFY-PERF-PATCH"
+# Export test tags as string.
+export TEST_TAG_STRING=${TRIGGER#$"perftest"}
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-DPDK.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-DPDK.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf-DPDK.sh is executable
+chmod +x bootstrap-verify-perf-DPDK.sh
+# run the script
+./bootstrap-verify-perf-DPDK.sh
+
+# vim: ts=4 ts=4 sts=4 et :